---
openapi: 3.0.3
info:
  title: "API CDESP-Empresas: JUCESP e CGE"
  description: "Operações relacionadas a pesquisa de empresas: JUCESP e CGE"
  version: "1.0"
servers:
- url: https://cdesp-empresas.api-hml.rota.sp.gov.br
paths:
  /version:
    get:
      tags:
      - Versão
      summary: Obtém a versão do serviço
      operationId: version
      responses:
        "400":
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: No Content
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
  /jucesp/representante/nire/{nire}/representantes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Obter Representantes e Representados da empresa com base no\
        \ NIRE informado"
      description: "Ao pesquisar pelo NIRE da empresa, serão exibidos os dados dos\
        \ Representantes e do Representado da respectiva empresa"
      operationId: findRepresentanteByNireEmpresa
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados Representantes para o NIRE informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/RepresentanteDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.representante.search
  /jucesp/representante/cpf/{cpf}:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: pesquisa por CPF de quem está representando"
      description: "Ao pesquisar pelo CPF do cidadão, serão exibidos dados de quantas\
        \ pessoas o mesmo está representando"
      operationId: findRepresentanteCidadao
      parameters:
      - name: cpf
        in: path
        description: 'Informar o CPF sem máscara '
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi(ram) encontrado(s) registro(s) de quem está representando
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/CliSolicitacaoDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.representante.search
  /jucesp/representado/cpf/{cpf}:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: pesquisa por CPF de quem esta sendo representado"
      description: "Ao pesquisar pelo CPF do cidadão, serão exibidos dados de quem\
        \ está sendo representado e os respectivos CPFs"
      operationId: findRepresentanteCidadaoRepresentado
      parameters:
      - name: cpf
        in: path
        description: Informar o CPF sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi encontrado registro de quem está sendo representado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/RepresentanteDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.representante.search
  /jucesp/regioes-administrativas:
    get:
      tags:
      - Domínios
      summary: "Regiões Administrativas: Lista das Regiões Administrativas do Estado\
        \ de São Paulo"
      description: Lista as regiões administrativas do Estado de São Paulo
      operationId: listRegiaoAdministrativa
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: No Content
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/RegiaoAdministrativaDTO"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP: []
  /jucesp/integrante/nire/{nire}/integrantes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo NIRE, obter quais são os integrantes\
        \ da respectiva empresa"
      description: O NIRE é a chave mais forte que existe na JUCESP. Ao fazer a pesquisa
        deste serviço pelo mesmo serão retornados os integrantes que compõem a respectiva
        empresa
      operationId: findByNireEmpresaSocios
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados integrantes para o CPF informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/IntegranteDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.integrante.search
  /jucesp/integrante/cpf/{cpf}/integrantes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo CPF, obter as empresas em que o CPF\
        \ é integrante"
      description: Ao fazer a pesquisa pelo CPF serão retornadas as empresas em que
        o cidadão atua
      operationId: findByIntegranteCpf
      parameters:
      - name: cpf
        in: path
        description: Informar o CPF sem máscara
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/IntegranteDto"
        "204":
          description: Não foram encontrados integrantes para o CPF informado
          content: {}
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "403":
          description: Acesso negado - token sem scope
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      deprecated: true
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.integrante.search
  /v2/jucesp/integrante/cpf/{cpf}/integrantes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo CPF, obter as empresas em que o CPF\
        \ consta como integrante"
      description: "Ao realizar a pesquisa pelo CPF, serão retornadas as empresas\
        \ nas quais o cidadão consta como integrante, com a possibilidade de aplicar\
        \ filtros adicionais pela situação da empresa e do integrante."
      operationId: findByIntegranteCpfV2
      parameters:
      - name: cpf
        in: path
        description: Informar o CPF sem máscara
        required: true
        schema:
          type: string
      - name: situacaoEmpresa
        in: query
        description: Filtrar a situação da empresa na qual o CPF é integrante
        required: false
        schema:
          $ref: "#/components/schemas/SituacaoEmpresaEnum"
      - name: integranteAtivo
        in: query
        description: Filtrar a situação do integrante na empresa
        required: false
        schema:
          type: boolean
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/IntegranteDto"
        "204":
          description: Não foram encontrados integrantes para o CPF informado
          content: {}
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "403":
          description: Acesso negado - token sem scope
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.integrante.search
  /v3/jucesp/integrantes/pessoas-fisicas/{cpf}/empresas:
    get:
      tags:
      - V3 - Integrantes
      summary: "JUCESP: Listar empresas onde uma pessoa física é integrante"
      description: Retorna o resumo das empresas em que o cidadão é integrante
      operationId: findByCpfIntegrantesEmpresas
      parameters:
      - name: cpf
        in: path
        description: CPF do integrante (sem máscara)
        required: true
        schema:
          type: string
      - name: empresaId
        in: query
        description: ID da empresa
        required: false
        schema:
          format: int64
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontradas empresas ativas para o CPF informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/IntegranteComEmpresaDTO"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.integrante.search
  /v3/jucesp/empresas/{empresaId}/integrantes:
    get:
      tags:
      - V3 - Integrantes
      summary: "JUCESP: Listar integrantes de uma empresa"
      description: Retorna os integrantes de uma empresa específica. Opcionalmente
        pode filtrar por CPF em caso de pessoa física.
      operationId: findByEmpresaIdIntegrantes
      parameters:
      - name: empresaId
        in: path
        description: ID da empresa
        required: true
        schema:
          format: int64
          type: integer
      - name: cpf
        in: query
        description: CPF do integrante para filtrar (sem máscara)
        required: false
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados integrantes ativos para a empresa informada
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/EmpresaIntegranteDTO"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.integrante.search
  /jucesp/estabelecimentos:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Lista de Empresas/Estabelecimentos por parâmetros"
      description: Obtém os dados de empresas e seus estabelecimentos com base nos
        parâmetros informados
      operationId: findEmpresaEstabelecimentoByParams
      parameters:
      - name: regiaoAdministrativa
        in: query
        description: Região Administrativa onde a empresa está cadastrada
        required: false
        schema:
          enum:
          - SAO_JOSE_DO_RIO_PRETO
          - ARACATUBA
          - BARRETOS
          - FRANCA
          - PRESIDENTE_PRUDENTE
          - RIBEIRAO_PRETO
          - CENTRAL
          - BAURU
          - MARILIA
          - SOROCABA
          - CAMPINAS
          - REGISTRO
          - SANTOS
          - GRANDE_SAO_PAULO
          - SAO_JOSE_DOS_CAMPOS
          type: string
      - name: situacaoEmpresa
        in: query
        description: Filtrar a situação da empresa
        required: false
        schema:
          enum:
          - CEDENTE_DO_ACERVO
          - TRANSFORMADA
          - LIQUIDADA
          - INCORPORADA
          - SEDE_TRANSFERIDA_PARA_OUTRA_UF
          - FALIDA
          - RECURSO
          - EM_FASE_DE_LIQUIDACAO_JUDICIAL
          - IMPUGNADA
          - TRANSFORMADA_PARA_SOCIEDADE_SIMPLES
          - BLOQUEADA
          - EXTINTA_POR_ENCERRAMENTO_DE_FALENCIA
          - ATIVA
          - LIQUIDACAO_EXTRA_JUDICIAL
          - LIQUIDADA_JUDICIALMENTE
          - ENCERRADA
          - FUSIONADA
          - EM_FASE_DE_LIQUIDACAO
          - DISSOLVIDA
          - CINDIDA
          - PRE_CADASTRO
          - CANCELAMENTO_DA_AUTORIDADE_GOVERNAMENTAL
          - CANCELADA_MEI_PREFEITURA_MUNICIPAL
          - PARALIZADA_TEMPORARIAMENTE
          - DISSOLVIDA_JUDICIALMENTE
          - ATIVA_PROVISORIAMENTE
          type: string
      - name: incluiCnae
        in: query
        description: Inclui no retorno a lista de CNAEs das empresas.
        required: false
        schema:
          default: false
          type: boolean
      - name: page
        in: query
        description: Número da Página de resultado
        required: false
        schema:
          format: int32
          default: 0
          type: integer
      - name: size
        in: query
        description: "Quantidade de resultados por página. Máximo: 1000"
        required: false
        schema:
          format: int32
          default: 100
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi encontrado empresas para na região administrativa informada
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoRegiaoDTO"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.estabelecimento.search
        - api:cdesp.bigdata.empresaapi.jucesp.cnae.search
  /jucesp/estabelecimento/{id}/empresas:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo ID"
      description: Obtém os dados da empresa com base no Id informado
      operationId: findByEmpresaEstabelecimentoId
      parameters:
      - name: id
        in: path
        description: Id
        required: true
        schema:
          format: int64
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi encontrada empresa para o Id Empresa Estabelecimento
            informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.estabelecimento.search
  /jucesp/estabelecimento/nire/{nire}/empresas:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo NIRE"
      description: Obtém os dados da empresa com base no NIRE informado. O NIRE é
        uma chave forte utilizado pela JUCESP
      operationId: findByNireEstabelecimento
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE (chave da JUCESP) sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontradas empresas para o nire informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.estabelecimento.search
  /jucesp/estabelecimento/cnpj/{cnpj}/empresas:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisar empresas pelo CNPJ"
      description: Obtém os dados da empresa com base no CNPJ informado
      operationId: findByEstabelecimentoCnpj
      parameters:
      - name: cnpj
        in: path
        description: CNPJ com 14 dígitos sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontradas empresas para o cnpj informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.estabelecimento.search
  /jucesp/cnae/nire/{nire}/cnaes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Obter CNAES com base no NIRE informado"
      description: "Ao pesquisar pelo NIRE da empresa, serão exibidos os CNAES da\
        \ mesma"
      operationId: findCnaeByNireEstabelecimento
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados CNAES para o NIRE informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/CnaeDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.cnae.search
  /jucesp/cli/solicitacoes:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: CLI - Pesquisa de solicitação de licença"
      description: Utilize um dos parâmetros chave para pequisar solicitação da licença.
        Serão exibidos os dados da solicitação da licença para empresa
      operationId: findCliByParam
      parameters:
      - name: protocolo
        in: query
        description: Informar o protocolo
        required: false
        schema:
          type: string
      - name: cpf
        in: query
        description: Informar o CPF do responsável pela solicitação
        required: false
        schema:
          type: string
      - name: cnpj
        in: query
        description: Informar o CNPJ da empresa
        required: false
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi encontrada uma solicitação de licença para o Id informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/CliSolicitacaoDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.cli.solicitacao.search
  /jucesp/cli/solicitacoes/{id}:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: CLI - Consulta solicitação de licenciamento"
      description: Ao pesquisar pelo id de solicitação da licença serão exibidos os
        dados da solicitação da licença para empresa
      operationId: findCliById
      parameters:
      - name: id
        in: path
        description: Informar o Id de solicitação da licença
        required: true
        schema:
          format: int64
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foi encontrada uma solicitação de licença para o Id informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/CliSolicitacaoDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.cli.solicitacao.search
  /jucesp/cargo/nire/{nire}/cpf/{cpf}/cargos:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Pesquisa de Cargos. Informado: NIRE da Empresa e o CPF - obter\
        \ os cargos em que o cidadao atua na empresa"
      description: "Ao pesquisar pelo NIRE da empresa e o CPF, serão exibidos os Cargos\
        \ que cidadão possui na empresa"
      operationId: findCargoByNireEmpresaAndCpfIntegrante
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE sem máscara
        required: true
        schema:
          type: string
      - name: cpf
        in: path
        description: Informar o CPF do cidadão sem máscara ou caracteres especiais
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados cargos para o NIRE e CPF informados
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/CargoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.cargo.search
  /jucesp/ato/nire/{nire}/atos:
    get:
      tags:
      - EmpresaEstabelecimento
      summary: "JUCESP: Obter os cinco Atos mais recentes com base no NIRE informado"
      description: "Ao pesquisar pelo NIRE da empresa, serão exibidos os 5(cinco)\
        \ Atos mais recentes da mesma"
      operationId: findAtoByNireEmpresa
      parameters:
      - name: nire
        in: path
        description: Informar o NIRE sem máscara
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Não foram encontrados Atos para o NIRE informado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/AtoDto"
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.jucesp.ato.search
  /cge/instituicoes/{id}/instituicoes:
    get:
      tags:
      - Cge
      summary: "CGE: Pesquisar instituicoes pelo ID"
      description: Obtém as instituições com base no Id informado
      operationId: findInstituicaoById
      parameters:
      - name: id
        in: path
        description: Id
        required: true
        schema:
          format: int64
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: instituição não encontrada
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.cge.instituicao.search
  /cge/instituicoes/cnpj/{cnpj}/instituicoes:
    get:
      tags:
      - Cge
      summary: "CGE: Pesquisar instituições pelo CNPJ"
      description: Obtém as instituições com base no CNPJ informado
      operationId: findInstituicaoByCnpj
      parameters:
      - name: cnpj
        in: path
        description: Id
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: instituições não encontradas
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.cge.instituicao.search
  /cge/dirigentes/{id}/dirigentes:
    get:
      tags:
      - Cge
      summary: "CGE: Pesquisar dirigentes pelo ID"
      description: Obtém os dirigentes com base no ID informado
      operationId: findDirigenteById
      parameters:
      - name: id
        in: path
        description: Id
        required: true
        schema:
          format: int64
          type: integer
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Dirigente não encontrado
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.cge.dirigentes.search
  /cge/dirigentes/cpf/{cpf}/dirigentes:
    get:
      tags:
      - Cge
      summary: "CGE: Pesquisar dirigentes pelo CPF"
      description: Obtém os dirigentes com base no CPF informado
      operationId: findDirigentesByCpf
      parameters:
      - name: cpf
        in: path
        description: Id
        required: true
        schema:
          type: string
      responses:
        "400":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "204":
          description: Dirigentes não encontrados
          content: {}
        "415":
          description: Unsupported Media Type
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/ErroDto"
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EmpresaEstabelecimentoDto"
        "403":
          description: Acesso negado - token sem scope
        "500":
          description: Erro interno
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "503":
          description: Circuit breaker aberto - tente novamente após alguns segundos
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
        "401":
          description: Acesso não autorizado - token não informado
        "504":
          description: Timeout no acesso a algum recurso - veja cabeçalho X-System-Error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErroDto"
      security:
      - IDP.SP:
        - api:cdesp.bigdata.empresaapi.cge.dirigentes.search
components:
  schemas:
    ErroDto:
      type: object
      properties:
        status:
          format: int32
          type: integer
        erros:
          type: array
          items:
            type: string
    RepresentanteDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        razaoSocial:
          type: string
        numeroIdentificacao:
          type: string
        cpfIntegrante:
          format: int64
          type: integer
        nireIntegrante:
          format: int64
          type: integer
        rgIntegrante:
          type: string
        outroIntegrante:
          type: string
        nuloIntegrante:
          type: string
        tipoIdentificacaoId:
          format: int32
          type: integer
        tipoIdentificacaoDescricao:
          type: string
        numeroIdentificacaoRepresentado:
          type: string
        tipoIdentificacaoRepresentadoId:
          format: int32
          type: integer
        tipoRepresentanteId:
          type: string
    CliSolicitacaoDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        cnpj:
          type: string
        cpf:
          type: string
        protocolo:
          type: string
        solicitacaoId:
          format: int64
          type: integer
        solicitacaoAndamento:
          type: string
        operacaoData:
          format: date-time
          type: string
        solicitacaoLicencaId:
          format: int64
          type: integer
    RegiaoAdministrativaDTO:
      type: object
      properties:
        id:
          format: int32
          type: integer
        regiaoAdministrativa:
          enum:
          - SAO_JOSE_DO_RIO_PRETO
          - ARACATUBA
          - BARRETOS
          - FRANCA
          - PRESIDENTE_PRUDENTE
          - RIBEIRAO_PRETO
          - CENTRAL
          - BAURU
          - MARILIA
          - SOROCABA
          - CAMPINAS
          - REGISTRO
          - SANTOS
          - GRANDE_SAO_PAULO
          - SAO_JOSE_DOS_CAMPOS
          type: string
        descricao:
          type: string
    IntegranteDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        razaoSocialEmpresa:
          type: string
        situacaoDescricaoEmpresa:
          type: string
        identificacaoNumero:
          type: string
        cpfIntegrante:
          format: int64
          type: integer
        nireIntegrante:
          format: int64
          type: integer
        rgCartIntegrante:
          type: string
        integranteOutros:
          type: string
        integranteNulo:
          type: string
        identificacaoTipoId:
          format: int32
          type: integer
        identificacaoTipoDescricao:
          type: string
        integranteNome:
          type: string
        registroPoliciaFederalNumero:
          type: string
        cnpj:
          type: string
        integranteCotasValor:
          type: number
        integranteCotasNumeroAcoes:
          format: int32
          type: integer
        integranteEnderecoLogradouro:
          type: string
        integranteEnderecoNumero:
          type: string
        integranteEnderecoComplemento:
          type: string
        integranteEnderecoBairro:
          type: string
        integranteEnderecoCep:
          type: string
        integranteEnderecoMunicipio:
          type: string
        integranteEnderecoEstado:
          type: string
        nacionalidade:
          type: string
        naturalidadeEstado:
          type: string
        naturalidadeMunicipio:
          type: string
        sexo:
          type: string
        racaDeclarada:
          type: string
        operacaoTipo:
          type: string
        integranteTipoId:
          format: int32
          type: integer
        integranteTipoDescricao:
          type: string
        integranteAtivo:
          type: boolean
        observacao:
          type: string
    SituacaoEmpresaEnum:
      description: Descrição da situação da empresa na qual o CPF consta como integrante
      enum:
      - ATIVA
      - ATIVA_PROVISORIAMENTE
      - BLOQUEADA
      - CANCELADA_MEI_PREFEITURA_MUNICIPAL
      - CANCELAMENTO_DA_AUTORIDADE_GOVERNAMENTAL
      - CEDENTE_DO_ACERVO
      - CINDIDA
      - DISSOLVIDA
      - DISSOLVIDA_JUDICIALMENTE
      - EM_FASE_DE_LIQUIDACAO
      - EM_FASE_DE_LIQUIDACAO_JUDICIAL
      - ENCERRADA
      - EXTINTA_POR_ENCERRAMENTO_DE_FALENCIA
      - FALIDA
      - FUSIONADA
      - IMPUGNADA
      - INCORPORADA
      - LIQUIDACAO_EXTRA_JUDICIAL
      - LIQUIDADA
      - LIQUIDADA_JUDICIALMENTE
      - PARALIZADA_TEMPORARIAMENTE
      - PRE_CADASTRO
      - RECURSO
      - SEDE_TRANSFERIDA_PARA_OUTRA_UF
      - TRANSFORMADA
      - TRANSFORMADA_PARA_SOCIEDADE_SIMPLES
      type: string
    CnaeDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        idEstabelecimento:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        nireEstabelecimento:
          type: string
        cnaeNumeroSubClasse:
          type: string
        cnaeCodigoSubClasse:
          type: string
        cnaeCodigoCompletoSubClasse:
          type: string
        cnaeDescricao:
          type: string
        cnaeTipo:
          type: string
    EmpresaEstabelecimentoRegiaoDTO:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        idEstabelecimento:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        nireEstabelecimento:
          type: string
        razaoSocialEmpresa:
          type: string
        cnpjEstabelecimento:
          type: string
        situacaoDescricao:
          type: string
        idEndereco:
          format: int64
          type: integer
        empresaEnderecoLogradouro:
          type: string
        empresaEnderecoNumero:
          type: string
        empresaEnderecoComplemento:
          type: string
        empresaEnderecoBairro:
          type: string
        empresaEnderecoCep:
          type: string
        empresaEnderecoMunicipio:
          type: string
        empresaEnderecoEstado:
          type: string
        regiaoAdministrativa:
          type: string
        dataEmpresaConstituicao:
          format: date-time
          type: string
        dataEmpresaEncerramento:
          format: date-time
          type: string
        dataEstabelecimentoAbertura:
          format: date-time
          type: string
        dataEstabelecimentoFechamento:
          format: date-time
          type: string
        dataEstabelecimentoAtividadeInicio:
          format: date-time
          type: string
        dataEstabelecimentoAtividadeTermino:
          format: date-time
          type: string
        listaCnae:
          type: array
          items:
            $ref: "#/components/schemas/CnaeDto"
    EmpresaEstabelecimentoDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        idEstabelecimento:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        nireEstabelecimento:
          type: string
        razaoSocialEmpresa:
          type: string
        cnpjEstabelecimento:
          type: string
        valorCapital:
          type: number
        tipoJuridicoDescricao:
          type: string
        dataEmpresaConstituicao:
          format: date-time
          type: string
        dataEmpresaEncerramento:
          format: date-time
          type: string
        dataEstabelecimentoAbertura:
          format: date-time
          type: string
        dataEstabelecimentoFechamento:
          format: date-time
          type: string
        dataEstabelecimentoAtividadeInicio:
          format: date-time
          type: string
        dataEstabelecimentoAtividadeTermino:
          format: date-time
          type: string
        empresaEnderecoLogradouro:
          type: string
        empresaEnderecoNumero:
          type: string
        empresaEnderecoComplemento:
          type: string
        empresaEnderecoBairro:
          type: string
        empresaEnderecoCep:
          type: string
        empresaEnderecoMunicipio:
          type: string
        empresaEnderecoEstado:
          type: string
        situacaoDescricao:
          type: string
        empresaPorte:
          type: string
        estabelecimentoInscricaoEstadual:
          type: string
        matrizDescricao:
          type: string
        idEndereco:
          format: int64
          type: integer
    CargoDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        idEmpresa:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        razaoSocialEmpresa:
          type: string
        identificacao:
          type: string
        cpfIntegrante:
          format: int64
          type: integer
        nireIntegrante:
          format: int64
          type: integer
        rgCartIntegrante:
          type: string
        integranteOutros:
          type: string
        integranteNulo:
          type: string
        identificacaoTipo:
          type: string
        cargoId:
          format: int32
          type: integer
        admissaoData:
          format: date-time
          type: string
        destituicaoData:
          format: date-time
          type: string
        cargoDescricao:
          type: string
        operacaoTipo:
          type: string
        operacaoTipoData:
          format: date-time
          type: string
    AtoDto:
      type: object
      properties:
        idEmpresa:
          format: double
          type: number
        nireEmpresa:
          type: string
        razaoSocial:
          type: string
        arquivamentoId:
          format: double
          type: number
        arquivamentoDataRegistro:
          format: date-time
          type: string
        atoId:
          format: double
          type: number
        atoDescricao:
          type: string
        atoSigla:
          type: string
    EmpresaResumoDTO:
      type: object
      properties:
        idEmpresa:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        razaoSocialEmpresa:
          type: string
    IntegranteComEmpresaDTO:
      type: object
      properties:
        cpf:
          format: int64
          type: integer
        identificacaoNumero:
          type: string
        empresas:
          type: array
          items:
            $ref: "#/components/schemas/EmpresaResumoDTO"
    EmpresaIntegranteDTO:
      type: object
      properties:
        idEmpresa:
          format: int64
          type: integer
        nireEmpresa:
          type: string
        razaoSocialEmpresa:
          type: string
        integrantes:
          type: array
          items:
            $ref: "#/components/schemas/IntegranteResumoDTO"
    IntegranteResumoDTO:
      type: object
      properties:
        cpf:
          format: int64
          type: integer
        identificacaoNumero:
          type: string
        nome:
          type: string
  securitySchemes:
    IDP.SP:
      type: oauth2
      description: Oauth2 flow
      flows:
        clientCredentials:
          tokenUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/token
          scopes:
            api:cdesp.bigdata.empresaapi.jucesp.estabelecimento.search: Pesquisar
              por empresa estabelecimento
            api:cdesp.bigdata.empresaapi.jucesp.integrante.search: "JUCESP: Obter\
              \ Integrantes"
            api:cdesp.bigdata.empresaapi.jucesp.cnae.search: "JUCESP: Obter CNAES"
            api:cdesp.bigdata.empresaapi.jucesp.representante.search: "JUCESP: Obter\
              \ Representantes"
            api:cdesp.bigdata.empresaapi.jucesp.ato.search: "JUCESP: Obter Atos"
            api:cdesp.bigdata.empresaapi.jucesp.cargo.search: "JUCESP: Obter Cargos"
            api:cdesp.bigdata.empresaapi.cge.instituicao.search: "CGE: Obter Instituiç\
              ões"
            api:cdesp.bigdata.empresaapi.cge.dirigentes.search: "CGE: Obter Dirigentes"
